
#define VCC5_NORMALEND  0
#define VCC5_SYSTEM_ERR  -1
#define VCC5_OPEN_ERR  -2
#define VCC5_ALREADY_OPEN_ERR -3  


#define VCC5_API __declspec(dllimport)


VCC5_API BOOL __stdcall  V5Open( HWND hWnd, DWORD prPort, DWORD prSpeed, 
								  DWORD prBytesize, DWORD prParity, DWORD prStopbit );
VCC5_API BOOL _stdcall   V5Close( void );
VCC5_API LPSTR __stdcall V5GetCmdstr( int v5cmdno, int unitno, int *cmdlen  );
VCC5_API BOOL __stdcall  V5SendCmd( int v5cmdno, int unitno );
VCC5_API int __stdcall   V5GetMsg( int msgno, BYTE *RcvMsg );
VCC5_API int __stdcall   V5GetLastCmdstr( BYTE *RcvCmd );
VCC5_API BOOL __stdcall  V5SetMotorSpeed( int unit, int iMode , int iSpeed );
VCC5_API BOOL __stdcall  V5GetMotorSpeed( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetPanTilt1( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5GotoHomePosition( int unit );
VCC5_API BOOL __stdcall  V5PedestalInitialize( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5GetLimitSpeed( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5GetLimitAngle( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5GetGearRatio( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetPanTilt2( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetPTAngle2( int unit, int Angle1, int Angle2 );
VCC5_API BOOL __stdcall  V5GetPTAngle2( int unit );
VCC5_API BOOL __stdcall  V5SetPTAngle1( int unit, int iMode , int Angle1, int Angle2  );
VCC5_API BOOL __stdcall  V5GetPTAngle1( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetIRRemote( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5GetExtendedOperateStatus( int unit );
VCC5_API BOOL __stdcall  V5GetOperateStatus( int unit );
VCC5_API BOOL __stdcall  V5GetUnitName( int unit );
VCC5_API BOOL __stdcall  V5GetRomVersion( int unit );
VCC5_API BOOL __stdcall  V5SetPresetMemory( int unit, int Memno );
VCC5_API BOOL __stdcall  V5GoToPreset( int unit, int Memno );
VCC5_API BOOL __stdcall  V5GetExtendPreset( int unit );
VCC5_API BOOL __stdcall  V5GetPresetStatus( int unit );
VCC5_API BOOL __stdcall  V5RemoteCommandPass( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetLed( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetCascade( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetCmdMode( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetOnScreen( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetTitleString( int unit, int x,int y,int code );
VCC5_API BOOL __stdcall  V5GetTitleString( int unit, int x, int y );
VCC5_API BOOL __stdcall  V5SetDate( int unit, int y,int m, int d );
VCC5_API BOOL __stdcall  V5GetDate( int unit );
VCC5_API BOOL __stdcall  V5SetTime( int unit, int h,int m,int s );
VCC5_API BOOL __stdcall  V5GetTime( int unit );
VCC5_API BOOL __stdcall  V5GetCameraTime( int unit );
VCC5_API BOOL __stdcall  V5GetPTTime( int unit );
VCC5_API BOOL __stdcall  V5SetDefault( int unit );
VCC5_API BOOL __stdcall  V5SetNotify( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetGlobalNotify( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetCameraPower( int unit, int iPower   );
VCC5_API BOOL __stdcall  V5SetFocusMode( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetZooming( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetZoomPosition( int unit, int Pos );
VCC5_API BOOL __stdcall  V5GetZoomPosition( int unit );
VCC5_API BOOL __stdcall  V5SetBackLight( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetExposed( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetAELock( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetShutterSpeedx( int unit, int Speed );
VCC5_API BOOL __stdcall  V5GetShutterSpeed( int unit );
VCC5_API BOOL __stdcall  V5SetAGCGain( int unit, int Gain  );
VCC5_API BOOL __stdcall  V5GetAGCGain( int unit  ); 
VCC5_API BOOL __stdcall  V5SetIris( int unit, int Ival );
VCC5_API BOOL __stdcall  V5GetIris( int unit );
VCC5_API BOOL __stdcall  V5SetAEVal( int unit, int AEVal );
VCC5_API BOOL __stdcall  V5GetAEVal( int unit );
VCC5_API BOOL __stdcall  V5SetWhiteBalance( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetWhiteBalanceMx( int unit, int iGain );
VCC5_API BOOL __stdcall  V5GetWhiteBalance( int unit );
VCC5_API BOOL __stdcall  V5SetShutterSpeed( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5SetFading( int unit, int iMode  );
VCC5_API BOOL __stdcall  V5CameraReset( int unit  );
VCC5_API BOOL __stdcall  V5GetZoomRatio( int unit  );
VCC5_API BOOL __stdcall  V5GetCCDSize( int unit  );
VCC5_API BOOL __stdcall  V5SetFocusPosition( int unit, int FocusPos );
VCC5_API BOOL __stdcall  V5GetFocusPosition( int unit  );
VCC5_API BOOL __stdcall  V5SetOnePushAF( int unit  );
VCC5_API BOOL __stdcall  V5GetFocusRange( int unit );
VCC5_API BOOL __stdcall  V5SetZoomPosition4( int unit, int pos );
VCC5_API BOOL __stdcall  V5GetZoomPosition4( int unit );
VCC5_API BOOL __stdcall  V5SetZoomSpeed( int unit, int Zoomnum  );
VCC5_API BOOL __stdcall  V5GetZoomSpeed( int unit );
VCC5_API BOOL __stdcall  V5GetZoomMax( int unit );
VCC5_API DWORD __stdcall V5GetStatus( void );
VCC5_API int __stdcall   V5GetLastError( DWORD *syserr );
VCC5_API int __stdcall   V5GetMsgVB( int msgno );
VCC5_API int __stdcall   V5GetLastCmdstrVB( void );
VCC5_API BYTE __stdcall  V5PicMsgVB( int pos );
VCC5_API BYTE __stdcall  V5PicLastCmdVB( int pos );
VCC5_API BOOL __stdcall  V5SetManualCommand( LPBYTE command, int len );
VCC5_API BOOL __stdcall  V5GetCameraVersion( int unit ,int iMode);
VCC5_API BOOL __stdcall  V5GetPedestalModel( int unit);
VCC5_API BOOL __stdcall  V5GetCameraModel( int unit);
VCC5_API BOOL __stdcall  V5SetDomedata( int unit ,int dome );
VCC5_API BOOL __stdcall  V5GetDomeData( int unit );
VCC5_API BOOL __stdcall  V5SetElectronicZoom( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetElectronicZoom( int unit );
VCC5_API BOOL __stdcall  V5SetAlarmOutput( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetAlarmOutput( int unit );
VCC5_API BOOL __stdcall  V5SetExtSensorDetect( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetExtSensorDetect( int unit );
VCC5_API BOOL __stdcall  V5GetExtSensorInput( int unit );
VCC5_API BOOL __stdcall  V5SetIRLight( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetIRLight( int unit );
VCC5_API BOOL __stdcall  V5SetExtLightMode( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetExtLightMode( int unit );
VCC5_API BOOL __stdcall  V5SetIRCutFilter( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetIRCutFilter( int unit );
VCC5_API BOOL __stdcall  V5SetNoiseReduction( int unit ,int iMode );
VCC5_API BOOL __stdcall  V5GetNoiseReduction( int unit );
VCC5_API BOOL __stdcall  V5GetOperateStatus3( int unit );
VCC5_API BOOL __stdcall  V5GetOperateStatus4( int unit );

